using System.Runtime.InteropServices;

namespace Decal.Interop.Core;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class IACHooksEvents_SinkHelper : IACHooksEvents
{
	public IACHooksEvents_ObjectDestroyedEventHandler m_ObjectDestroyedDelegate;

	public IACHooksEvents_ChatTextInterceptEventHandler m_ChatTextInterceptDelegate;

	public IACHooksEvents_ChatParserInterceptEventHandler m_ChatParserInterceptDelegate;

	public IACHooksEvents_StatusTextInterceptEventHandler m_StatusTextInterceptDelegate;

	public IACHooksEvents_ObjectSelectedEventHandler m_ObjectSelectedDelegate;

	public IACHooksEvents_MessageProcessedEventHandler m_MessageProcessedDelegate;

	public IACHooksEvents_AC3DRegionChangedEventHandler m_AC3DRegionChangedDelegate;

	public IACHooksEvents_ContainerOpenedEventHandler m_ContainerOpenedDelegate;

	public IACHooksEvents_ChatClickInterceptEventHandler m_ChatClickInterceptDelegate;

	public IACHooksEvents_RenderPreUIEventHandler m_RenderPreUIDelegate;

	public int m_dwCookie;

	public void ObjectDestroyed(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ObjectDestroyedDelegate != null)
		{
			m_ObjectDestroyedDelegate(P_0);
		}
	}

	public void ChatTextIntercept(string P_0, int P_1, int P_2, ref bool P_3)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ChatTextInterceptDelegate != null)
		{
			m_ChatTextInterceptDelegate(P_0, P_1, P_2, ref P_3);
		}
	}

	public void ChatParserIntercept(string P_0, ref bool P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ChatParserInterceptDelegate != null)
		{
			m_ChatParserInterceptDelegate(P_0, ref P_1);
		}
	}

	public void StatusTextIntercept(string P_0, ref bool P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_StatusTextInterceptDelegate != null)
		{
			m_StatusTextInterceptDelegate(P_0, ref P_1);
		}
	}

	public void ObjectSelected(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ObjectSelectedDelegate != null)
		{
			m_ObjectSelectedDelegate(P_0);
		}
	}

	public void MessageProcessed(int P_0, int P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_MessageProcessedDelegate != null)
		{
			m_MessageProcessedDelegate(P_0, P_1);
		}
	}

	public void AC3DRegionChanged(int P_0, int P_1, int P_2, int P_3)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_AC3DRegionChangedDelegate != null)
		{
			m_AC3DRegionChangedDelegate(P_0, P_1, P_2, P_3);
		}
	}

	public void ContainerOpened(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ContainerOpenedDelegate != null)
		{
			m_ContainerOpenedDelegate(P_0);
		}
	}

	public void ChatClickIntercept(string P_0, int P_1, ref bool P_2)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ChatClickInterceptDelegate != null)
		{
			m_ChatClickInterceptDelegate(P_0, P_1, ref P_2);
		}
	}

	public void RenderPreUI()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_RenderPreUIDelegate != null)
		{
			m_RenderPreUIDelegate();
		}
	}

	internal IACHooksEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_ObjectDestroyedDelegate = null;
		m_ChatTextInterceptDelegate = null;
		m_ChatParserInterceptDelegate = null;
		m_StatusTextInterceptDelegate = null;
		m_ObjectSelectedDelegate = null;
		m_MessageProcessedDelegate = null;
		m_AC3DRegionChangedDelegate = null;
		m_ContainerOpenedDelegate = null;
		m_ChatClickInterceptDelegate = null;
		m_RenderPreUIDelegate = null;
	}
}
